#ifndef MAINWIN_H_DEFINED
#define MAINWIN_H_DEFINED

#include "ui_main_win.h"
#include <QMainWindow>
#include <QGraphicsScene>
#include "insert_win.h"
#include "vysledek_win.h"
#include "help_win.h"

#include <QMessageBox>

#define POCET_KROKU 10000

class MainWin : public QMainWindow, public Ui::MainWindow {
	Q_OBJECT
	private:
		InsertWin * insertWin;
		VysledekWin * vysledekWin;
		HelpWin * helpWin;
		QGraphicsScene * scene;
		int prev_scale;

	public:
		MainWin(QWidget * p = 0);

	public slots:
		void calculate();
		void zoom_ph();
		void zoom_mh();
		void zoom_pv();
		void zoom_mv();
};

#endif
